
// LT766_gra.h.h
#include "type.h"

// GBR
#define grBLACK			0x0000
#define grBLUE			0x000F
#define grCYAN      0x03E8
#define grGREEN     0x03C0
#define grMAGENTA   0x7BE0
#define grRED				0x7800
#define grBROWN		  0x03EF
#define grGRAY			0x39E7
#define grLTBLUE   	0x001F
#define grLTCYAN		0x07FF
#define grLTGREEN   0x07E0
#define grLTMAGENTA	0xF81F
#define grLTRED   	0xF800
#define grYELLOW		0xFFE0
#define grLTGRAY		0x7BEF
#define grWHITE			0xFFFF


#define FRAMBUFFER_ADDR		0x80000000
#define ROTATE0  			0
#define ROTATE90			1
#define ROTATE180			2
#define ROTATE270			3

#define CLOCKWISE			0
#define COUNTER_CLOCKWISE	1

#define LCD1024x600			1

#ifdef LCD800x480
	#define LCD_SIZE_X		800
	#define LCD_SIZE_Y		480
#else
	#define LCD_SIZE_X		1024
	#define LCD_SIZE_Y		600
#endif

extern void Show8BitValue(UINT16 x,UINT16 y,UINT8 data,UINT16 fgColor,UINT16 bgColor);
extern void Show16BitValue(UINT16 x,UINT16 y,UINT16 data,UINT16 fgColor,UINT16 bgColor);
extern void Show32BitValue(UINT16 x,UINT16 y,UINT32 data,UINT16 fgColor,UINT16 bgColor);
extern void Show16BitDecimal(UINT16 x,UINT16 y,signed short  data,UINT16 fgColor,UINT16 bgColor);
extern void Show32BitDecimal(UINT16 x,UINT16 y,int data,UINT16 fgColor,UINT16 bgColor);

extern void Put16BitBMP(UINT16 x,UINT16 y,unsigned const char *bmp,UINT16 transColor);

extern void ClearScreen(UINT16 color);
extern void ClearRectangle(UINT16 x,UINT16 y,UINT16 width,UINT16 height,UINT16 color);

extern void LT768_TFT_DrawPoint(UINT16 x,UINT16 y,UINT16 color);
extern void LT768_DrawSquare_Fill(unsigned short X1,unsigned short Y1,unsigned short X2,unsigned short Y2,unsigned int color);             
void LT768_TFT_ShowAscii(UINT16 x,UINT16 y,UINT8 size,UINT8 mode,UINT16 FontColor,UINT16 BackGroundColor,UINT8 *str);


